gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecString

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for string properties.

Synopsis

- newtype ParamSpecString = ParamSpecString (ManagedPtr ParamSpecString)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecString o) => IsParamSpecString o
- toParamSpecString :: (MonadIO m, IsParamSpecString o) => o -> m ParamSpecString

# Exported types

newtype ParamSpecString Source #

Memory-managed wrapper type.

Constructors

ParamSpecString (ManagedPtr ParamSpecString) |

#### Instances

Instances details

Eq ParamSpecString Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecString Methods (==) :: ParamSpecString -> ParamSpecString -> Bool Source # (/=) :: ParamSpecString -> ParamSpecString -> Bool Source #
BoxedPtr ParamSpecString Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecString Methods boxedPtrCopy :: ParamSpecString -> IO ParamSpecString Source # boxedPtrFree :: ParamSpecString -> IO () Source #
ManagedPtrNewtype ParamSpecString Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecString Methods toManagedPtr :: ParamSpecString -> ManagedPtr ParamSpecString Source #
TypedObject ParamSpecString Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecString Methods glibType :: IO GType Source #
HasParentTypes ParamSpecString Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecString
type ParentTypes ParamSpecString Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecString type ParentTypes ParamSpecString = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecString o) => IsParamSpecString o Source #

Type class for types which can be safely cast to `ParamSpecString`, for instance with `toParamSpecString`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecString o) => IsParamSpecString o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecString

toParamSpecString :: (MonadIO m, IsParamSpecString o) => o -> m ParamSpecString Source #

Cast to `ParamSpecString`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.